Liquidity REST API
Endpoints the node exposes under /centerchain/liquidity/*.
Endpoints
GET /centerchain/liquidity/v1/ibc-denoms
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pagination.key | query | string (byte) | no | key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set. |
pagination.offset | query | string (uint64) | no | offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set. |
pagination.limit | query | string (uint64) | no | limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app. |
pagination.count_total | query | boolean | no | count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set. |
pagination.reverse | query | boolean | no | reverse is set to true if results are to be returned in the descending order. |
Response 200: centerchain.liquidity.v1.QueryIBCDenomsResponse
GET /centerchain/liquidity/v1/ibc-denoms/{denom}
| Name | In | Type | Required | Description |
|---|---|---|---|---|
denom | path | string | yes |
Response 200: centerchain.liquidity.v1.QueryIBCDenomResponse
GET /centerchain/liquidity/v1/params
Response 200: centerchain.liquidity.v1.QueryParamsResponse
GET /centerchain/liquidity/v1/pools
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pagination.key | query | string (byte) | no | key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set. |
pagination.offset | query | string (uint64) | no | offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set. |
pagination.limit | query | string (uint64) | no | limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app. |
pagination.count_total | query | boolean | no | count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set. |
pagination.reverse | query | boolean | no | reverse is set to true if results are to be returned in the descending order. |
Response 200: centerchain.liquidity.v1.QueryPoolsResponse
GET /centerchain/liquidity/v1/pools/by-pair/{denom_a}/{denom_b}
| Name | In | Type | Required | Description |
|---|---|---|---|---|
denom_a | path | string | yes | |
denom_b | path | string | yes |
Response 200: centerchain.liquidity.v1.QueryPoolByPairResponse
GET /centerchain/liquidity/v1/pools/{pool_id}
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pool_id | path | string (uint64) | yes |
Response 200: centerchain.liquidity.v1.QueryPoolResponse
GET /centerchain/liquidity/v1/pools/{pool_id}/balances
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pool_id | path | string (uint64) | yes |
Response 200: centerchain.liquidity.v1.QueryPoolAccountBalancesResponse
GET /centerchain/liquidity/v1/pools/{pool_id}/emissions
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pool_id | path | string (uint64) | yes |
Response 200: centerchain.liquidity.v1.QueryEmissionScheduleResponse
GET /centerchain/liquidity/v1/pools/{pool_id}/farm/{owner}
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pool_id | path | string (uint64) | yes | |
owner | path | string | yes |
Response 200: centerchain.liquidity.v1.QueryFarmPositionResponse
GET /centerchain/liquidity/v1/pools/{pool_id}/pending
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pool_id | path | string (uint64) | yes |
Response 200: centerchain.liquidity.v1.QueryPendingUpdatesResponse
GET /centerchain/liquidity/v1/pools/{pool_id}/shares
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pool_id | path | string (uint64) | yes |
Response 200: centerchain.liquidity.v1.QueryPoolSharesResponse
POST /centerchain/liquidity/v1/pools/{pool_id}/simulate_swap_exact_amount_in
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pool_id | path | string (uint64) | yes | |
body | body | centerchain.liquidity.v1.Query.SimulateSwapExactAmountInBody | yes |
Response 200: centerchain.liquidity.v1.QuerySimulateSwapExactAmountInResponse
POST /centerchain/liquidity/v1/pools/{pool_id}/simulate_swap_exact_amount_out
| Name | In | Type | Required | Description |
|---|---|---|---|---|
pool_id | path | string (uint64) | yes | |
body | body | centerchain.liquidity.v1.Query.SimulateSwapExactAmountOutBody | yes |
Response 200: centerchain.liquidity.v1.QuerySimulateSwapExactAmountOutResponse